%define KDEDATE	20020112
%define VERSION	1.8.9

%define build_mdk8 %(if [ `awk '{print $4}' /etc/mandrake-release|cut -f1 -d'.'` = 8 ];then echo 1; else echo 0; fi)

%if %build_mdk8
%global _update_menus_bin  %{_bindir}/update-menus
%global _realiconsdir       %{_datadir}/icons/
%global _miconsdir      %{_datadir}/icons/mini
%global _liconsdir      %{_datadir}/icons/large
%global _menudir        %{_libdir}/menu
%define _prefix        /opt/kde3
%else
%global _realiconsdir       %{_iconsdir}
%endif

Summary:	A CD creation/coping/erasing front-end for the K Desktop Environment.
Name: cdbakeoven
Version:	%VERSION
Release:	8mdk
License:	GPL

Source: %name-%VERSION.tar.bz2
Patch:	cdbakeoven-1.8.9-gcc32-fix.patch.bz2

#Group:		Graphical desktop/KDE
Group:		Archiving/Cd burning
URL:		http://cdbakeoven.sourceforge.net/
BuildRoot: %_tmppath/%name-%VERSION-%release-root
BuildRequires:  libpng-devel
BuildRequires:	texinfo gettext libjpeg62-devel
BuildRequires:	freetype2-devel db1
BuildRequires:	libfam-devel
%if !%build_mdk8
BuildRequires:  kdelibs-devel libarts-devel
%else
BuildRequires:  kdelibs3-devel libarts3-devel
%endif

%description
CD Bake Oven (CDBO) is a graphical CD-creation/copying tool designed to 
combine the power and stability of great command-line utilities with a 
contemporary, easy-to-use user interface. CDBO allows you to intuitively 
create data CDs, copy data or music CDs, etc. and to control every aspect 
of the process.

It is built on top of the very well-known cdrecord, mkisofs, cdda2wav and 
cdparanoia, encapsulating most of the options those utilities provide.

This makes creating professional-quality media as easy as making a few 
mouse clicks.

%prep
%setup -q
%if !%build_mdk8
%patch -p1 -b .orig
%endif

%build
./configure --prefix=%_prefix
make

%install
make install DESTDIR=%buildroot

# Create LMDK menu structure
mkdir -p $RPM_BUILD_ROOT/%_menudir/


mkdir -p $RPM_BUILD_ROOT/%_datadir/applnk/Applications
install -m 0644 $RPM_BUILD_DIR/%name-%VERSION/cdbakeoven/cdbakeoven.desktop $RPM_BUILD_ROOT/%_datadir/applnk/Applications/cdbakeoven.desktop
kdedesktop2mdkmenu.pl cdbakeoven "Applications/Archiving/CD Burning" $RPM_BUILD_ROOT/%_datadir/applnk/Applications/cdbakeoven.desktop $RPM_BUILD_ROOT/%_menudir/cdbakeoven

# Make sure the settings are also available, but maybe we don't need them
# in the menus, then again, maybe we do!
FILES=$(find  %buildroot/%{_datadir}/applnk/Settings/CDBakeOven/ -type f -name "*.desktop")
for i in $FILES;do
	FILE=$(basename $i|cut -d'.' -f1)
	kdedesktop2mdkmenu.pl cdbakeoven "Configuration/KDE/CDBakeOven" $i %buildroot/%{_menudir}/$FILE kde
	echo "" >> %buildroot/%{_menudir}/%{name}
	cat %buildroot/%{_menudir}/$FILE >> %buildroot/%{_menudir}/%{name}
	rm -f %buildroot/$FILE
done

#Don't forget icons for menu
mkdir -p $RPM_BUILD_ROOT/{%{_miconsdir},%{_liconsdir}}
install -m644 $RPM_BUILD_ROOT/%_iconsdir/hicolor/16x16/apps/%{name}.png $RPM_BUILD_ROOT/%{_miconsdir}/
install -m644 $RPM_BUILD_ROOT/%_iconsdir/hicolor/32x32/apps/*.png $RPM_BUILD_ROOT/%{_realiconsdir}/
install -m644 $RPM_BUILD_ROOT/%_iconsdir/hicolor/48x48/apps/*.png $RPM_BUILD_ROOT/%{_liconsdir}/

#(misc) already in Applications, was not in the package before.
rm -f $RPM_BUILD_ROOT/%_datadir/applnk/Utilities/cdbakeoven.desktop
%files
%defattr(-,root,root)
%_bindir/cdbakeoven
#
%_datadir/applnk/Applications/cdbakeoven.desktop
%dir %{_datadir}/applnk/Settings/CDBakeOven/

%_datadir/applnk/Settings/CDBakeOven/*.desktop
%_datadir/applnk/Settings/CDBakeOven/.directory
#

%dir %_datadir/apps/cdbakeoven/
%_datadir/apps/cdbakeoven/*.desktop

#
%dir %_datadir/apps/cdbakeoven/toolbar/
%_datadir/apps/cdbakeoven/toolbar/*.png
%_datadir/apps/cdbakeoven/toolbar/*.xpm
#
%dir %{_datadir}/apps/cdbakeoven/info/
%{_datadir}/apps/cdbakeoven/info/*.html
%{_datadir}/apps/cdbakeoven/info/*.css
%{_datadir}/apps/cdbakeoven/info/*.png
#
#
#%dir %_datadir/mimelnk/inode
%_datadir/mimelnk/inode/*
%_datadir/mimelnk/application/*
#
%_menudir/*

%_iconsdir/hicolor/16x16/apps/*.png
%_iconsdir/hicolor/32x32/apps/*.png
%_iconsdir/hicolor/48x48/apps/*.png
%_iconsdir/hicolor/16x16/mimetypes/*.png
%_iconsdir/hicolor/32x32/mimetypes/*.png
%_iconsdir/hicolor/48x48/mimetypes/*.png
%_miconsdir/%{name}.png
%_liconsdir/%{name}.png
%_realiconsdir/%{name}.png
%{_libdir}/kde3/*.so
%{_libdir}/kde3/*.la

%post
%{update_menus}
/sbin/ldconfig

%postun
%{clean_menus}
/sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Sep 05 2004 Marcel Pol <mpol@mandrake.org> 1.8.9-8mdk
- fix menu section

* Wed Jun 16 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.8.9-7mdk
- Rebuild


* Sun Jul 27 2003 Michael Scherer <scherer.michael@free.fr> 1.8.9-6mdk
- fix unpackaged files.
 
* Wed Oct 30 2002 Buchan Milne <bgmilne@linux-mandrake.com> 1.8.9-5mdk
- Rebuild
- Buildrequires libfam-devel (Bartho Saaiman)

* Wed Sep 25 2002 Buchan Milne <bgmilne@linux-mandrake.com> 1.8.9-4mdk
- Compile fix for gcc3.2 (can you not pass defaults in a declaration?)

* Wed Sep 25 2002 Buchan Milne <bgmilne@linux-mandrake.com> 1.8.9-3mdk
- Fix update-menus when building with non-/usr prefix

* Wed Aug 07 2002 Buchan Milne <bgmilne@linux-mandrake.com> 1.8.9-2mdk
- Really add .desktop files!

* Thu Aug 01 2002 Buchan Milne <bgmilne@linux-mandrake.com> 1.8.9-1mdk
- Mandrake package
- Add .desktop file (was .rc) to make settings work (Danny Tholen)
